> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# ITC Ledger

> Get ITC Ledger for the specified period for authenticated taxpayer

#### Response body schema

<Card title="View response body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/ledgers/itc_ledger.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/ledgers/itc
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/ledgers/itc:
    get:
      tags:
        - Taxpayer
        - Ledgers
      summary: ITC Ledger
      description: Get ITC Ledger for the specified period for authenticated taxpayer
      operationId: getItcLedger
      parameters:
        - name: to
          in: query
          description: '`required` To Date (DD/MM/YYYY)'
          required: true
          schema:
            type: string
            example: 01/01/2024
        - name: from
          in: query
          description: From Date (DD/MM/YYYY)
          required: true
          schema:
            type: string
            example: 01/01/2023
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: 200 Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          itcLdgDtls:
                            type: object
                            properties:
                              cl_bal:
                                type: object
                                properties:
                                  cessTaxBal:
                                    type: number
                                    example: 0
                                  cgstTaxBal:
                                    type: number
                                    example: 6161
                                  desc:
                                    type: string
                                    example: Closing Balance
                                  igstTaxBal:
                                    type: number
                                    example: 40376
                                  sgstTaxBal:
                                    type: number
                                    example: 6161
                                  tot_rng_bal:
                                    type: number
                                    example: 52698
                              fr_dt:
                                type: string
                                example: 01/01/2023
                              gstin:
                                type: string
                                example: 29AAACQ3770E000
                              op_bal:
                                type: object
                                properties:
                                  cessTaxBal:
                                    type: number
                                    example: 0
                                  cgstTaxBal:
                                    type: number
                                    example: 0
                                  desc:
                                    type: string
                                    example: Opening Balance
                                  igstTaxBal:
                                    type: number
                                    example: 0
                                  sgstTaxBal:
                                    type: number
                                    example: 0
                                  tot_rng_bal:
                                    type: number
                                    example: 0
                              to_dt:
                                type: string
                                example: 01/01/2024
                              tr:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    cessTaxAmt:
                                      type: number
                                      example: 0
                                    cessTaxBal:
                                      type: number
                                      example: 0
                                    cgstTaxAmt:
                                      type: number
                                      example: 21150
                                    cgstTaxBal:
                                      type: number
                                      example: 21150
                                    desc:
                                      type: string
                                      example: ITC accrued through - Inputs
                                    dt:
                                      type: string
                                      example: 19/01/2023
                                    igstTaxAmt:
                                      type: number
                                      example: 279760
                                    igstTaxBal:
                                      type: number
                                      example: 279760
                                    ref_no:
                                      type: string
                                      example: AB241222611372T
                                    ret_period:
                                      type: string
                                      example: '122022'
                                    sgstTaxAmt:
                                      type: number
                                      example: 21150
                                    sgstTaxBal:
                                      type: number
                                      example: 21150
                                    tot_rng_bal:
                                      type: number
                                      example: 322060
                                    tot_tr_amt:
                                      type: number
                                      example: 322060
                                    tr_typ:
                                      type: string
                                      example: Cr
                                example:
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 21150
                                    cgstTaxBal: 21150
                                    desc: ITC accrued through - Inputs
                                    dt: 19/01/2023
                                    igstTaxAmt: 279760
                                    igstTaxBal: 279760
                                    ref_no: AB241222611372T
                                    ret_period: '122022'
                                    sgstTaxAmt: 21150
                                    sgstTaxBal: 21150
                                    tot_rng_bal: 322060
                                    tot_tr_amt: 322060
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 21150
                                    cgstTaxBal: 0
                                    desc: Other than reverse charge
                                    dt: 19/01/2023
                                    igstTaxAmt: 279760
                                    igstTaxBal: 0
                                    ref_no: DI2401230352830
                                    ret_period: '122022'
                                    sgstTaxAmt: 21150
                                    sgstTaxBal: 0
                                    tot_rng_bal: 0
                                    tot_tr_amt: 322060
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 4586
                                    cgstTaxBal: 4586
                                    desc: ITC accrued through - Inputs
                                    dt: 21/02/2023
                                    igstTaxAmt: 220257
                                    igstTaxBal: 220257
                                    ref_no: AB240123483550I
                                    ret_period: '012023'
                                    sgstTaxAmt: 4586
                                    sgstTaxBal: 4586
                                    tot_rng_bal: 229429
                                    tot_tr_amt: 229429
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 4586
                                    cgstTaxBal: 0
                                    desc: Other than reverse charge
                                    dt: 21/02/2023
                                    igstTaxAmt: 220257
                                    igstTaxBal: 0
                                    ref_no: DI2402230412202
                                    ret_period: '012023'
                                    sgstTaxAmt: 4586
                                    sgstTaxBal: 0
                                    tot_rng_bal: 0
                                    tot_tr_amt: 229429
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 4224
                                    cgstTaxBal: 4224
                                    desc: ITC accrued through - Inputs
                                    dt: 20/03/2023
                                    igstTaxAmt: 185142
                                    igstTaxBal: 185142
                                    ref_no: AB240223349643C
                                    ret_period: '022023'
                                    sgstTaxAmt: 4224
                                    sgstTaxBal: 4224
                                    tot_rng_bal: 193590
                                    tot_tr_amt: 193590
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 4224
                                    cgstTaxBal: 0
                                    desc: Other than reverse charge
                                    dt: 20/03/2023
                                    igstTaxAmt: 185142
                                    igstTaxBal: 0
                                    ref_no: DI2403230337205
                                    ret_period: '022023'
                                    sgstTaxAmt: 4224
                                    sgstTaxBal: 0
                                    tot_rng_bal: 0
                                    tot_tr_amt: 193590
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 4626
                                    cgstTaxBal: 4626
                                    desc: ITC accrued through - Inputs
                                    dt: 21/04/2023
                                    igstTaxAmt: 194395
                                    igstTaxBal: 194395
                                    ref_no: AB240323888367U
                                    ret_period: '032023'
                                    sgstTaxAmt: 4626
                                    sgstTaxBal: 4626
                                    tot_rng_bal: 203647
                                    tot_tr_amt: 203647
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 4626
                                    cgstTaxBal: 0
                                    desc: Other than reverse charge
                                    dt: 21/04/2023
                                    igstTaxAmt: 194395
                                    igstTaxBal: 0
                                    ref_no: DI2404230541619
                                    ret_period: '032023'
                                    sgstTaxAmt: 4626
                                    sgstTaxBal: 0
                                    tot_rng_bal: 0
                                    tot_tr_amt: 203647
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 10186
                                    cgstTaxBal: 10186
                                    desc: ITC accrued through - Inputs
                                    dt: 19/05/2023
                                    igstTaxAmt: 145676
                                    igstTaxBal: 145676
                                    ref_no: AB240423268369Y
                                    ret_period: '042023'
                                    sgstTaxAmt: 10186
                                    sgstTaxBal: 10186
                                    tot_rng_bal: 166048
                                    tot_tr_amt: 166048
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 0
                                    cgstTaxBal: 10186
                                    desc: Other than reverse charge
                                    dt: 19/05/2023
                                    igstTaxAmt: 107278
                                    igstTaxBal: 38398
                                    ref_no: DI2405230279921
                                    ret_period: '042023'
                                    sgstTaxAmt: 0
                                    sgstTaxBal: 10186
                                    tot_rng_bal: 58770
                                    tot_tr_amt: 107278
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 3789
                                    cgstTaxBal: 13975
                                    desc: ITC accrued through - Inputs
                                    dt: 20/06/2023
                                    igstTaxAmt: 75088
                                    igstTaxBal: 113486
                                    ref_no: AB240523404683E
                                    ret_period: '052023'
                                    sgstTaxAmt: 3789
                                    sgstTaxBal: 13975
                                    tot_rng_bal: 141436
                                    tot_tr_amt: 82666
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 0
                                    cgstTaxBal: 13975
                                    desc: Other than reverse charge
                                    dt: 20/06/2023
                                    igstTaxAmt: 38902
                                    igstTaxBal: 74584
                                    ref_no: DI2406230318105
                                    ret_period: '052023'
                                    sgstTaxAmt: 0
                                    sgstTaxBal: 13975
                                    tot_rng_bal: 102534
                                    tot_tr_amt: 38902
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 10612
                                    cgstTaxBal: 24587
                                    desc: ITC accrued through - Inputs
                                    dt: 20/07/2023
                                    igstTaxAmt: 62424
                                    igstTaxBal: 137008
                                    ref_no: AB240623763835V
                                    ret_period: '062023'
                                    sgstTaxAmt: 10612
                                    sgstTaxBal: 24587
                                    tot_rng_bal: 186182
                                    tot_tr_amt: 83648
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 24587
                                    cgstTaxBal: 0
                                    desc: Other than reverse charge
                                    dt: 20/07/2023
                                    igstTaxAmt: 137008
                                    igstTaxBal: 0
                                    ref_no: DI2407230436575
                                    ret_period: '062023'
                                    sgstTaxAmt: 24587
                                    sgstTaxBal: 0
                                    tot_rng_bal: 0
                                    tot_tr_amt: 186182
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 107060
                                    cgstTaxBal: 107060
                                    desc: ITC accrued through - Inputs
                                    dt: 19/08/2023
                                    igstTaxAmt: 274929
                                    igstTaxBal: 274929
                                    ref_no: AB240723332901D
                                    ret_period: '072023'
                                    sgstTaxAmt: 107060
                                    sgstTaxBal: 107060
                                    tot_rng_bal: 489049
                                    tot_tr_amt: 489049
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 107060
                                    cgstTaxBal: 0
                                    desc: Other than reverse charge
                                    dt: 19/08/2023
                                    igstTaxAmt: 274929
                                    igstTaxBal: 0
                                    ref_no: DI2408230327783
                                    ret_period: '072023'
                                    sgstTaxAmt: 107060
                                    sgstTaxBal: 0
                                    tot_rng_bal: 0
                                    tot_tr_amt: 489049
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 12160
                                    cgstTaxBal: 12160
                                    desc: ITC accrued through - Inputs
                                    dt: 20/09/2023
                                    igstTaxAmt: 75109
                                    igstTaxBal: 75109
                                    ref_no: AB240823420839X
                                    ret_period: '082023'
                                    sgstTaxAmt: 12160
                                    sgstTaxBal: 12160
                                    tot_rng_bal: 99429
                                    tot_tr_amt: 99429
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 12160
                                    cgstTaxBal: 0
                                    desc: Other than reverse charge
                                    dt: 20/09/2023
                                    igstTaxAmt: 75109
                                    igstTaxBal: 0
                                    ref_no: DI2409230367302
                                    ret_period: '082023'
                                    sgstTaxAmt: 12160
                                    sgstTaxBal: 0
                                    tot_rng_bal: 0
                                    tot_tr_amt: 99429
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 11574
                                    cgstTaxBal: 11574
                                    desc: ITC accrued through - Inputs
                                    dt: 20/10/2023
                                    igstTaxAmt: 60039
                                    igstTaxBal: 60039
                                    ref_no: AB2409239233157
                                    ret_period: '092023'
                                    sgstTaxAmt: 11574
                                    sgstTaxBal: 11574
                                    tot_rng_bal: 83187
                                    tot_tr_amt: 83187
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 11574
                                    cgstTaxBal: 0
                                    desc: Other than reverse charge
                                    dt: 20/10/2023
                                    igstTaxAmt: 60039
                                    igstTaxBal: 0
                                    ref_no: DI2410230565591
                                    ret_period: '092023'
                                    sgstTaxAmt: 11574
                                    sgstTaxBal: 0
                                    tot_rng_bal: 0
                                    tot_tr_amt: 83187
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 3135
                                    cgstTaxBal: 3135
                                    desc: ITC accrued through - Inputs
                                    dt: 20/11/2023
                                    igstTaxAmt: 107711
                                    igstTaxBal: 107711
                                    ref_no: AB241023235025W
                                    ret_period: '102023'
                                    sgstTaxAmt: 3135
                                    sgstTaxBal: 3135
                                    tot_rng_bal: 113981
                                    tot_tr_amt: 113981
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 0
                                    cgstTaxBal: 3135
                                    desc: Other than reverse charge
                                    dt: 20/11/2023
                                    igstTaxAmt: 54790
                                    igstTaxBal: 52921
                                    ref_no: DI2411230247247
                                    ret_period: '102023'
                                    sgstTaxAmt: 0
                                    sgstTaxBal: 3135
                                    tot_rng_bal: 59191
                                    tot_tr_amt: 54790
                                    tr_typ: Dr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 3026
                                    cgstTaxBal: 6161
                                    desc: ITC accrued through - Inputs
                                    dt: 18/12/2023
                                    igstTaxAmt: 9179
                                    igstTaxBal: 62100
                                    ref_no: AB241123065466C
                                    ret_period: '112023'
                                    sgstTaxAmt: 3026
                                    sgstTaxBal: 6161
                                    tot_rng_bal: 74422
                                    tot_tr_amt: 15231
                                    tr_typ: Cr
                                  - cessTaxAmt: 0
                                    cessTaxBal: 0
                                    cgstTaxAmt: 0
                                    cgstTaxBal: 6161
                                    desc: Other than reverse charge
                                    dt: 18/12/2023
                                    igstTaxAmt: 21724
                                    igstTaxBal: 40376
                                    ref_no: DI2412230154798
                                    ret_period: '112023'
                                    sgstTaxAmt: 0
                                    sgstTaxBal: 6161
                                    tot_rng_bal: 52698
                                    tot_tr_amt: 21724
                                    tr_typ: Dr
                          provCrdBalList:
                            type: object
                            properties:
                              provCrdBal:
                                type: array
                                items: {}
                                example: []
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 4b2f229e-b771-4011-9290-a1d715fa80ec
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      data:
                        itcLdgDtls:
                          cl_bal:
                            cessTaxBal: 0
                            cgstTaxBal: 6161
                            desc: Closing Balance
                            igstTaxBal: 40376
                            sgstTaxBal: 6161
                            tot_rng_bal: 52698
                          fr_dt: 01/01/2023
                          gstin: 29AAACQ3770E000
                          op_bal:
                            cessTaxBal: 0
                            cgstTaxBal: 0
                            desc: Opening Balance
                            igstTaxBal: 0
                            sgstTaxBal: 0
                            tot_rng_bal: 0
                          to_dt: 01/01/2024
                          tr:
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 21150
                              cgstTaxBal: 21150
                              desc: ITC accrued through - Inputs
                              dt: 19/01/2023
                              igstTaxAmt: 279760
                              igstTaxBal: 279760
                              ref_no: AB241222611372T
                              ret_period: '122022'
                              sgstTaxAmt: 21150
                              sgstTaxBal: 21150
                              tot_rng_bal: 322060
                              tot_tr_amt: 322060
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 21150
                              cgstTaxBal: 0
                              desc: Other than reverse charge
                              dt: 19/01/2023
                              igstTaxAmt: 279760
                              igstTaxBal: 0
                              ref_no: DI2401230352830
                              ret_period: '122022'
                              sgstTaxAmt: 21150
                              sgstTaxBal: 0
                              tot_rng_bal: 0
                              tot_tr_amt: 322060
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 4586
                              cgstTaxBal: 4586
                              desc: ITC accrued through - Inputs
                              dt: 21/02/2023
                              igstTaxAmt: 220257
                              igstTaxBal: 220257
                              ref_no: AB240123483550I
                              ret_period: '012023'
                              sgstTaxAmt: 4586
                              sgstTaxBal: 4586
                              tot_rng_bal: 229429
                              tot_tr_amt: 229429
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 4586
                              cgstTaxBal: 0
                              desc: Other than reverse charge
                              dt: 21/02/2023
                              igstTaxAmt: 220257
                              igstTaxBal: 0
                              ref_no: DI2402230412202
                              ret_period: '012023'
                              sgstTaxAmt: 4586
                              sgstTaxBal: 0
                              tot_rng_bal: 0
                              tot_tr_amt: 229429
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 4224
                              cgstTaxBal: 4224
                              desc: ITC accrued through - Inputs
                              dt: 20/03/2023
                              igstTaxAmt: 185142
                              igstTaxBal: 185142
                              ref_no: AB240223349643C
                              ret_period: '022023'
                              sgstTaxAmt: 4224
                              sgstTaxBal: 4224
                              tot_rng_bal: 193590
                              tot_tr_amt: 193590
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 4224
                              cgstTaxBal: 0
                              desc: Other than reverse charge
                              dt: 20/03/2023
                              igstTaxAmt: 185142
                              igstTaxBal: 0
                              ref_no: DI2403230337205
                              ret_period: '022023'
                              sgstTaxAmt: 4224
                              sgstTaxBal: 0
                              tot_rng_bal: 0
                              tot_tr_amt: 193590
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 4626
                              cgstTaxBal: 4626
                              desc: ITC accrued through - Inputs
                              dt: 21/04/2023
                              igstTaxAmt: 194395
                              igstTaxBal: 194395
                              ref_no: AB240323888367U
                              ret_period: '032023'
                              sgstTaxAmt: 4626
                              sgstTaxBal: 4626
                              tot_rng_bal: 203647
                              tot_tr_amt: 203647
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 4626
                              cgstTaxBal: 0
                              desc: Other than reverse charge
                              dt: 21/04/2023
                              igstTaxAmt: 194395
                              igstTaxBal: 0
                              ref_no: DI2404230541619
                              ret_period: '032023'
                              sgstTaxAmt: 4626
                              sgstTaxBal: 0
                              tot_rng_bal: 0
                              tot_tr_amt: 203647
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 10186
                              cgstTaxBal: 10186
                              desc: ITC accrued through - Inputs
                              dt: 19/05/2023
                              igstTaxAmt: 145676
                              igstTaxBal: 145676
                              ref_no: AB240423268369Y
                              ret_period: '042023'
                              sgstTaxAmt: 10186
                              sgstTaxBal: 10186
                              tot_rng_bal: 166048
                              tot_tr_amt: 166048
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 0
                              cgstTaxBal: 10186
                              desc: Other than reverse charge
                              dt: 19/05/2023
                              igstTaxAmt: 107278
                              igstTaxBal: 38398
                              ref_no: DI2405230279921
                              ret_period: '042023'
                              sgstTaxAmt: 0
                              sgstTaxBal: 10186
                              tot_rng_bal: 58770
                              tot_tr_amt: 107278
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 3789
                              cgstTaxBal: 13975
                              desc: ITC accrued through - Inputs
                              dt: 20/06/2023
                              igstTaxAmt: 75088
                              igstTaxBal: 113486
                              ref_no: AB240523404683E
                              ret_period: '052023'
                              sgstTaxAmt: 3789
                              sgstTaxBal: 13975
                              tot_rng_bal: 141436
                              tot_tr_amt: 82666
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 0
                              cgstTaxBal: 13975
                              desc: Other than reverse charge
                              dt: 20/06/2023
                              igstTaxAmt: 38902
                              igstTaxBal: 74584
                              ref_no: DI2406230318105
                              ret_period: '052023'
                              sgstTaxAmt: 0
                              sgstTaxBal: 13975
                              tot_rng_bal: 102534
                              tot_tr_amt: 38902
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 10612
                              cgstTaxBal: 24587
                              desc: ITC accrued through - Inputs
                              dt: 20/07/2023
                              igstTaxAmt: 62424
                              igstTaxBal: 137008
                              ref_no: AB240623763835V
                              ret_period: '062023'
                              sgstTaxAmt: 10612
                              sgstTaxBal: 24587
                              tot_rng_bal: 186182
                              tot_tr_amt: 83648
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 24587
                              cgstTaxBal: 0
                              desc: Other than reverse charge
                              dt: 20/07/2023
                              igstTaxAmt: 137008
                              igstTaxBal: 0
                              ref_no: DI2407230436575
                              ret_period: '062023'
                              sgstTaxAmt: 24587
                              sgstTaxBal: 0
                              tot_rng_bal: 0
                              tot_tr_amt: 186182
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 107060
                              cgstTaxBal: 107060
                              desc: ITC accrued through - Inputs
                              dt: 19/08/2023
                              igstTaxAmt: 274929
                              igstTaxBal: 274929
                              ref_no: AB240723332901D
                              ret_period: '072023'
                              sgstTaxAmt: 107060
                              sgstTaxBal: 107060
                              tot_rng_bal: 489049
                              tot_tr_amt: 489049
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 107060
                              cgstTaxBal: 0
                              desc: Other than reverse charge
                              dt: 19/08/2023
                              igstTaxAmt: 274929
                              igstTaxBal: 0
                              ref_no: DI2408230327783
                              ret_period: '072023'
                              sgstTaxAmt: 107060
                              sgstTaxBal: 0
                              tot_rng_bal: 0
                              tot_tr_amt: 489049
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 12160
                              cgstTaxBal: 12160
                              desc: ITC accrued through - Inputs
                              dt: 20/09/2023
                              igstTaxAmt: 75109
                              igstTaxBal: 75109
                              ref_no: AB240823420839X
                              ret_period: '082023'
                              sgstTaxAmt: 12160
                              sgstTaxBal: 12160
                              tot_rng_bal: 99429
                              tot_tr_amt: 99429
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 12160
                              cgstTaxBal: 0
                              desc: Other than reverse charge
                              dt: 20/09/2023
                              igstTaxAmt: 75109
                              igstTaxBal: 0
                              ref_no: DI2409230367302
                              ret_period: '082023'
                              sgstTaxAmt: 12160
                              sgstTaxBal: 0
                              tot_rng_bal: 0
                              tot_tr_amt: 99429
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 11574
                              cgstTaxBal: 11574
                              desc: ITC accrued through - Inputs
                              dt: 20/10/2023
                              igstTaxAmt: 60039
                              igstTaxBal: 60039
                              ref_no: AB2409239233157
                              ret_period: '092023'
                              sgstTaxAmt: 11574
                              sgstTaxBal: 11574
                              tot_rng_bal: 83187
                              tot_tr_amt: 83187
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 11574
                              cgstTaxBal: 0
                              desc: Other than reverse charge
                              dt: 20/10/2023
                              igstTaxAmt: 60039
                              igstTaxBal: 0
                              ref_no: DI2410230565591
                              ret_period: '092023'
                              sgstTaxAmt: 11574
                              sgstTaxBal: 0
                              tot_rng_bal: 0
                              tot_tr_amt: 83187
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 3135
                              cgstTaxBal: 3135
                              desc: ITC accrued through - Inputs
                              dt: 20/11/2023
                              igstTaxAmt: 107711
                              igstTaxBal: 107711
                              ref_no: AB241023235025W
                              ret_period: '102023'
                              sgstTaxAmt: 3135
                              sgstTaxBal: 3135
                              tot_rng_bal: 113981
                              tot_tr_amt: 113981
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 0
                              cgstTaxBal: 3135
                              desc: Other than reverse charge
                              dt: 20/11/2023
                              igstTaxAmt: 54790
                              igstTaxBal: 52921
                              ref_no: DI2411230247247
                              ret_period: '102023'
                              sgstTaxAmt: 0
                              sgstTaxBal: 3135
                              tot_rng_bal: 59191
                              tot_tr_amt: 54790
                              tr_typ: Dr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 3026
                              cgstTaxBal: 6161
                              desc: ITC accrued through - Inputs
                              dt: 18/12/2023
                              igstTaxAmt: 9179
                              igstTaxBal: 62100
                              ref_no: AB241123065466C
                              ret_period: '112023'
                              sgstTaxAmt: 3026
                              sgstTaxBal: 6161
                              tot_rng_bal: 74422
                              tot_tr_amt: 15231
                              tr_typ: Cr
                            - cessTaxAmt: 0
                              cessTaxBal: 0
                              cgstTaxAmt: 0
                              cgstTaxBal: 6161
                              desc: Other than reverse charge
                              dt: 18/12/2023
                              igstTaxAmt: 21724
                              igstTaxBal: 40376
                              ref_no: DI2412230154798
                              ret_period: '112023'
                              sgstTaxAmt: 0
                              sgstTaxBal: 6161
                              tot_rng_bal: 52698
                              tot_tr_amt: 21724
                              tr_typ: Dr
                        provCrdBalList:
                          provCrdBal: []
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: 4b2f229e-b771-4011-9290-a1d715fa80ec
          headers: {}
      deprecated: false
      security: []

````